Bug 124174 - Remove unused Qt cruft
Summary: Remove unused Qt cruft
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on: 124182 124187
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 17:02 PST by Anders Carlsson
Modified: 2014-02-06 07:57 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.90 KB, patch)
2013-11-11 17:10 PST, Anders Carlsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2013-11-11 17:02:00 PST
Remove unused Qt cruft
Comment 1 Anders Carlsson 2013-11-11 17:10:27 PST
Created attachment 216625 [details]
Patch
Comment 2 Anders Carlsson 2013-11-11 17:15:32 PST
Committed r159088: <http://trac.webkit.org/changeset/159088>
Comment 3 Csaba Osztrogonác 2013-11-11 22:01:24 PST
(In reply to comment #2)
> Committed r159088: <http://trac.webkit.org/changeset/159088>

It seems it isn't Qt and isn't cruft, because it broke the EFL build:

/mnt/buildbot/efl-linux-slave-3/efl-linux-32-release/build/Source/WebKit2/UIProcess/CoordinatedGraphics/WebView.cpp: In member function 'virtual void WebKit::WebView::processDidCrash()':
/mnt/buildbot/efl-linux-slave-3/efl-linux-32-release/build/Source/WebKit2/UIProcess/CoordinatedGraphics/WebView.cpp:354:46: error: 'class WebKit::WebPageProxy' has no member named 'urlAtProcessExit'
Comment 4 Csaba Osztrogonác 2013-11-11 22:07:47 PST
Do you think if we can revert this change or should EFL drop 
the code display a warning which page the WebProcess crashed on?
Comment 5 Gyuyoung Kim 2013-11-11 22:19:17 PST
(In reply to comment #4)
> Do you think if we can revert this change or should EFL drop 
> the code display a warning which page the WebProcess crashed on?

Ryuan file a Bug 124182 to drop to report a url which page came to crash. But, it seems to me that it is more helpful to report crashed url. 

Anders, could you let me know why urlAtProcessExit() is cruft ? Because GTK port  has a build break as well.
Comment 6 WebKit Commit Bot 2013-11-11 22:35:31 PST
Re-opened since this is blocked by bug 124187
Comment 7 Csaba Osztrogonác 2013-11-12 00:12:10 PST
Leave it open until we get the answer if removing 
this code was only a mistake or intentional.